Skip to main content
GET
/
invoices
/
{invoice_id}
Get Invoice
curl --request GET \
  --url https://api.everhour.com/invoices/{invoice_id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": 2660155,
  "client": {
    "id": 4567,
    "name": "Client Name",
    "projects": [
      "ev:1234567890"
    ],
    "businessDetails": "<string>",
    "budget": {
      "type": "money",
      "budget": 100000,
      "period": "general",
      "appliedFrom": "<string>",
      "disallowOverbudget": true,
      "excludeUnbillableTime": true,
      "excludeExpenses": true,
      "threshold": 123,
      "progress": 0
    }
  },
  "createdAt": "2018-01-16 12:42:59",
  "createdBy": {
    "id": 1304,
    "name": "User Name",
    "role": "admin",
    "status": "active",
    "headline": "CEO",
    "avatarUrl": "<string>"
  },
  "status": "draft",
  "dateFrom": "<string>",
  "dateTill": "<string>",
  "dueDate": "<string>",
  "discount": {
    "amount": 4581,
    "rate": 25
  },
  "expenseMask": "%PROJECT% :: %CATEGORY%",
  "includeExpenses": true,
  "includeTime": true,
  "invoiceItems": [
    {
      "billedTime": 415860,
      "createdAt": "2017-02-22 16:11:33",
      "custom": false,
      "id": 52,
      "listAmount": 288793,
      "name": "Software Development",
      "netAmount": 288793,
      "position": 1,
      "taxable": 1,
      "totalAmount": 288793
    }
  ],
  "issueDate": "2019-03-22",
  "limitDateFrom": "<string>",
  "limitDateTill": "<string>",
  "listAmount": 18325,
  "netAmount": 13744,
  "projects": [
    "gh:63301595"
  ],
  "publicId": "1020",
  "tax": {
    "rate": 11,
    "amount": 1512
  },
  "timeMask": "%PROJECT%",
  "totalAmount": 15256,
  "totalTime": 43980,
  "valid": true
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

invoice_id
number
required

Invoice ID

Example:

11903

Response

OK

id
number
required

Invoice ID

Example:

2660155

client
object
required
createdAt
string
required
Example:

"2018-01-16 12:42:59"

createdBy
object
required
status
enum<string>
required
Available options:
draft,
sent,
paid
Example:

"draft"

dateFrom
string
dateTill
string
dueDate
string
discount
object
expenseMask
string
Example:

"%PROJECT% :: %CATEGORY%"

includeExpenses
boolean
Example:

true

includeTime
boolean
Example:

true

invoiceItems
object[]
issueDate
string
Example:

"2019-03-22"

limitDateFrom
string
limitDateTill
string
listAmount
number

List amount in cents (without discount and taxes)

Example:

18325

netAmount
number

Net amount in cents (without taxes but with discount applied)

Example:

13744

projects
string[]
Example:
["gh:63301595"]
publicId
string
Example:

"1020"

tax
object
timeMask
string
Example:

"%PROJECT%"

totalAmount
number

Total invoice amount in cents (with discount and taxes applied)

Example:

15256

totalTime
number

Total invoice time in seconds

Example:

43980

valid
boolean
Example:

true